Subject: Re: [bug#47943] [PATCH]: Gnu: Add Weir

From: Guillaume Le Vaillant <[email-masked]>
Date: Thu, 22 Apr 2021 12:12:01 +0000

Giovanni Biscuolo <[email-masked]> skribis:
> --8<---------------cut here---------------start------------->8---
> This code is released under the MIT license(see below). Unless otherwise noted.
>
> Most prominent exceptions are:
>
> 1. Some utilities from On Lisp by Paul Graham (in src/various.lisp). They are
>    bound by this notice:
>
> ---
> This code is copyright 1993 by Paul Graham, but anyone who wants
> to use the code in any nonprofit activity, or distribute free
> verbatim copies (including this notice), is encouraged to do so.
> ---
> --8<---------------cut here---------------end--------------->8---
>
> [...]
>
> I am almost sure that the licenses for the points 1 (license clearly
> stated by Paul Graham) and 3 (no license for that code means "classic"
> full copyright) are non-free.

Concerning point 1, there's a modified version of the code from
"On Lisp" at <https://github.com/DalekBaldwin/on-lisp>.
The file "on-lisp.asd" contains an extra indication by Paul Graham about
the license:

--8<---------------cut here---------------start------------->8---
Original code:
This code is copyright 1993 by Paul Graham, but anyone who wants
to use the code in any nonprofit activity, or distribute free
verbatim copies (including this notice), is encouraged to do so.

Modified code:
As long as you tell people it's modified and link to
the original, that's fine.  --pg
--8<---------------cut here---------------end--------------->8---